Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.annotation
Class AspectAnnotationParser

    java.lang.Object
      org.codehaus.aspectwerkz.annotation.AspectAnnotationParser

    public class AspectAnnotationParser

extends Object

Extracts the aspects annotations from the class files and creates a meta-data representation of them.
Note: we are not using reflection to loop over fields, etc, so that we do not trigger nested loading, which could be potential target classes.

Author:
  Jonas Bonr , Alexandre Vasseur

Method Summary
`static String` | `getExpressionElseValue(String value, String pointcut)` Handles specific syntax for @AfterXXX annotation, where we can write it using the default "value" element or instead specify the pointcut using "pointcut", and optionally a "type" element.
`static void` | `parse(ClassInfo classInfo, AspectDefinition aspectDef, ClassLoader loader)` Parse the attributes and create and return a meta-data representation of them.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parse

    public static void parse(ClassInfo classInfo,
                             AspectDefinition aspectDef,
                             ClassLoader loader)

  Parse the attributes and create and return a meta-data representation of them.

  Parameters:
    `classInfo` - the class to extract attributes from
    `aspectDef` - the aspect definition
    `loader` -

### getExpressionElseValue

    public static String getExpressionElseValue(String value,
                                                String pointcut)

  Handles specific syntax for @AfterXXX annotation, where we can write it using the default "value" element or instead specify the pointcut using "pointcut", and optionally a "type" element.

  Parameters:
    `value` -
    `pointcut` -
  Returns:
    the one of value or expression which is not null. Both cannot be specified at the same time

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.